FEM ConstraintSelfWeight/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru|Name=FEM ConstraintSelfWeight|Name/ru=FEM ConstraintSelfWeight|MenuLocation=FEM → Constraint self weight||Workbenches=FEM|Shortcut=C,W|SeeA...")
(Updating to match new version of source page)
Line 1: Line 1:
<div class="mw-translate-fuzzy">
{{GuiCommand/ru|Name=FEM ConstraintSelfWeight|Name/ru=FEM ConstraintSelfWeight|MenuLocation=FEM → Constraint self weight||Workbenches=[[FEM Module/ru|FEM]]|Shortcut=C,W|SeeAlso=[[FEM_tutorial/ru|FEM tutorial]]}}
{{GuiCommand/ru|Name=FEM ConstraintSelfWeight|Name/ru=FEM ConstraintSelfWeight|MenuLocation=FEM → Constraint self weight||Workbenches=[[FEM Module/ru|FEM]]|Shortcut=C,W|SeeAlso=[[FEM_tutorial/ru|FEM tutorial]]}}
</div>


==Description==
==Description==
Line 5: Line 7:


==How to use==
==How to use==
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY| FEM}} → {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}} from the top menu or press {{KEY|C}} then {{KEY|W}} keys.
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY|Model}} → '''Mechanical Constraints''' → {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}} from the top menu or press {{KEY|C}} then {{KEY|W}} keys.
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.



Revision as of 22:09, 3 March 2018

FEM ConstraintSelfWeight

Системное название
FEM ConstraintSelfWeight
Расположение в меню
FEM → Constraint self weight
Верстаки
FEM
Быстрые клавиши
C,W
Представлено в версии
-
См. также
FEM tutorial

Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

How to use

  1. Click on or choose ModelMechanical Constraints Constraint self weight from the top menu or press C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

  • new object
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
  • add object to the analysis named Analysis
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
  • example:
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)
Other languages: